#include <iostream>
#include <fstream>
#include <cmath>
#include <iomanip>
using namespace std;
int main(){
  double a,b,c,d;
  double real,imaginaria1,imaginaria2;
  double raiz;
  double result1,result2;
  cout<<"Introduce el coefiiente que acompaņa a x2"<<endl;
  cin>>a;
  cout<<"Introduce el coeficiente que acompaņa a x"<<endl;
  cin>>b;
  cout<<"Introduce el termino independiente"<<endl;
  cin>>c;
  d=(b*b)-(4*a*c);
  if (d<0){
    d=sqrt(abs(d));
    real=-b/(2*a);
    imaginaria1=d/(2*a);
    imaginaria2=-imaginaria1;
    cout<<"La parte real de la solucion1 es "<<real<<endl;
    cout<<"La parte imagianria de la solucion2 es "<<imaginaria1<<" i"<<endl;
    cout<<"La parte real de la solucion1 es "<<real<<endl;
    cout<<"La parte imagianria de la solucion2 es "<<imaginaria2<<" i"<<endl;
  }
  else if (d==0){
    raiz=-b/(2*a);
    cout<<"La ecuacion tendre una raiz doble que sera "<<raiz<<endl;
  }
  else if (d>0){
    d=sqrt(d);
double    resul1=(-b+d)/(2*a);
double     result2=(-b-d)/(2*a);
    cout<<" La ecuacion tiene una solucion para x1="<<result1<<" y otra solucion para x2="<<result2<<endl;
  }
return 0;
}
